### Struct

# Ggit AnnotatedCommit

#### Description [src]

    struct GgitAnnotatedCommit {
      /* No available fields */
    }

Represents an annotated commit object.

#### Constructors

###### ggit_annotated_commit_new_from_ref

Create a GgitAnnotatedCommit from the given reference.

#### Instance methods

###### ggit_annotated_commit_get_id

Gets the commit ID that the given `annotated_commit` refs to.

###### ggit_annotated_commit_ref

Atomically increments the reference count of `annotated_commit` by one. This function is MT-safe and may be called from any thread.

###### ggit_annotated_commit_unref

Atomically decrements the reference count of `annotated_commit` by one. If the reference count drops to 0, `annotated_commit` is freed.